Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XML Security Java API Reference 10g Release 3 (10.1.3) B25383-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.enc
Class RecipientKeyInfo

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.dsig.XSKeyInfo
oracle.security.xmlsec.enc.RecipientKeyInfo`

All Implemented Interfaces:
  Referable

public class RecipientKeyInfo
extends XSKeyInfo

The RecipientKeyInfo element used in key agreement for XML Encryption.

See Also:
  `XSKeyInfo`, `OriginatorKeyInfo`

Field Summary

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`RecipientKeyInfo(org.w3c.dom.Element element)` Creates a new `RecipientKeyInfo` instance from the given Element node.
`RecipientKeyInfo(org.w3c.dom.Element element, java.lang.String systemId)` Creates a new `RecipientKeyInfo` instance from the given Element node.

Methods inherited from class oracle.security.xmlsec.dsig.XSKeyInfo
`addKeyInfoData, createKeyName, createKeyValue, createKeyValue, createMgmtData, createMgmtData, createPGPData, createRetrievalMethod, createRetrievalMethod, createSPKIData, createSPKIData, createX509Data, createX509Data, getId, getKeyInfoData, getKeyNames, getKeyValues, getMgmtData, getPGPData, getRetrievalMethods, getSPKIData, getType, getX509Data, setId`

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RecipientKeyInfo

    public RecipientKeyInfo(org.w3c.dom.Element element)
                     throws org.w3c.dom.DOMException

  Creates a new `RecipientKeyInfo` instance from the given Element node.
Parameters:
  `element` - An XML Encryption RecipientKeyInfo element.

### RecipientKeyInfo

    public RecipientKeyInfo(org.w3c.dom.Element element,
                            java.lang.String systemId)
                     throws org.w3c.dom.DOMException

  Creates a new `RecipientKeyInfo` instance from the given Element node.
Parameters:
  `element` - An XML Encryption RecipientKeyInfo element.
  `systemId` - The URI string system ID for this element.
Since:
  2.0
See Also:
  `XMLNode.setSystemId(java.lang.String)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XML Security Java API Reference 10g Release 3 (10.1.3) B25383-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.